package models

import (
	"git.apinb.com/bsm-sdk/core/database"
	"git.apinb.com/bsm-sdk/core/types"
)

// 系统配置表
type InitialConfig struct {
	types.Std_IICUDS
	App     string `gorm:"type:varchar(255);default:'';"` // 应用名称
	Os      string `gorm:"type:varchar(255);default:'';"` // 操作系统,ALL代表全平台
	Key     string `gorm:"type:text;default:'';"`         // 配置主键名称
	Value   string `gorm:"type:text;default:'';"`         // 配置参数
	Version int64  `gorm:"default:0;"`                    // 版本号
}

func init() {
	database.AppendMigrate(&InitialConfig{})
}

func (table *InitialConfig) TableName() string {
	return "initial_config"
}
